Логотип   Простое и понятное управление
  Уникальные возможности по настройке
  Open Server скачали уже 1 022 047 раз!

Форум

Добро пожаловать, Гость!

Когда наконец автор будет тестрировать?

Обсуждение общих вопросов связанных с программой
Аватара пользователя
DelphinPRO
Сообщения: 637
C нами: 4 года 10 мес
Откуда: Самара
Контакты:

Непрочитанное сообщение DelphinPRO » 25 мар 2013, 09:25

Ладно, оставайтесь при своем мнении. С опытом само все придет..

salex772
Сообщения: 32
C нами: 4 года 1 мес

Непрочитанное сообщение salex772 » 25 мар 2013, 09:30

Я этим занимаюсь еще со времен PHP 3. Вам еще советы давать? На PHP 5 я не встречался с проблемой несовместимости, более того - работает (в основном) код написанный для и для php 4. Приведите пример что не будет работать на php 5.4, когда работает на 5.1. также приведите пример трудности сделать автоматическое обновление - я такие вещи делал постоянно, не представляю в чем сложность.

Аватара пользователя
DelphinPRO
Сообщения: 637
C нами: 4 года 10 мес
Откуда: Самара
Контакты:

Непрочитанное сообщение DelphinPRO » 25 мар 2013, 09:51

ok, опыт есть, - хорошо. Тогда вы тем более должны понимать, что бывает код, который нужно просто запустить без всякого шаманства и слегка добавить функциональности. А когда в нем сплошь и рядом валятся всякие стрикт-эрроры и депрекейтеды и нет времени на модернизацию и рефакторинг - выход один: запустить код на устаревшей версии.

Аватара пользователя
duxabilii
Сообщения: 216
C нами: 5 лет 5 мес
Контакты:

Непрочитанное сообщение duxabilii » 25 мар 2013, 10:04

DelphinPRO писал(а):ok, опыт есть, - хорошо. Тогда вы тем более должны понимать, что бывает код, который нужно просто запустить без всякого шаманства и слегка добавить функциональности. А когда в нем сплошь и рядом валятся всякие стрикт-эрроры и депрекейтеды и нет времени на модернизацию и рефакторинг - выход один: запустить код на устаревшей версии.


Я думаю, что он делает проще - error_reporting(0); и код чудным образом работает :D

salex772
Сообщения: 32
C нами: 4 года 1 мес

Непрочитанное сообщение salex772 » 27 мар 2013, 11:54

У меня даже на продакшен только E_ALL. НО вопрос был про проблему обновления и непрофессиональный подход к разработке. Так только студенты делают.

_Dark_
Сообщения: 4
C нами: 3 года 8 мес

Непрочитанное сообщение _Dark_ » 27 мар 2013, 12:24

salex772 писал(а):У меня даже на продакшен только E_ALL. НО вопрос был про проблему обновления и непрофессиональный подход к разработке. Так только студенты делают.

А вы забавны, расслабьтесь, а то у вас со стороны, что называется, "бомбануло" :lol:
Кстати, то, что у вас "даже на продакшен только E_ALL" — это повод не для гордости, а наоборот, повод для насмешек.

Wayosh
Сообщения: 4
C нами: 3 года 8 мес

Непрочитанное сообщение Wayosh » 27 мар 2013, 13:23

Для бесплатного ПО, это очень даже не плохой продукт.
Аа, не нравится, юзай свои сборки.

Septor
Сообщения: 158
C нами: 4 года 10 мес

Непрочитанное сообщение Septor » 27 мар 2013, 15:32

не пойму о чём спорите товарисчи, кому не нравится, пущай найдёт хоть одну лучше OS локалку, которая бы ещё и предоставила ту модульности и остальное что даёт OS. Я по крайней мере не одной не нашёл, все сборки чисто по принципо что есть в нутри то и пользуй, а нужно другое, ставь другое.
Так что на пока OS находится в стадии становления, можно и закрыть глаза на некоторые вещи типа частых выходов новых версий и мелкие несовместимости. "Москва тоже не сразу строилась". 8-)

Добавлено спустя 5 минут 14 секунд:
salex772, ну так сделай подобное сам, да так что бы устроило всех, а мы заценим. ;)
Будет тогда из чего выбирать в плане такой функциональности как OS, а то пока такой продукт единственный на рынке, остальные локалки не считаются, их нужно в нескольких версиях ставить, что бы получить доступ к разным пхп и мускулам. :)

aVadim
Сообщения: 49
C нами: 4 года 7 мес

Непрочитанное сообщение aVadim » 30 мар 2013, 13:54

salex772 писал(а):Я этим занимаюсь еще со времен PHP 3. Вам еще советы давать? На PHP 5 я не встречался с проблемой несовместимости, более того - работает (в основном) код написанный для и для php 4. Приведите пример что не будет работать на php 5.4, когда работает на 5.1

С этим - в ченджлог PHP. Есть куча вещей, которые в языке отключались в период с 5.1 по 5.4. Равно как и появлялись новые фичи. И вот тут как раз спасибо большое автору, что дает возможность работать с несколькими версиями. Это особенно важно, когда софт пишется не для конкретного заказчика с заведомо известными требованиями к серверному окружению, а тиражный софт, которые будет использоваться у разных людей с разными установками.

salex772 писал(а):также приведите пример трудности сделать автоматическое обновление - я такие вещи делал постоянно, не представляю в чем сложность.

А тут принципиальное нежелание автора априори эту проблему решать. И тут уж ничего не поделаешь. Автор так решил, и это надо принимать as is.

Аватара пользователя
Максим
Сообщения: 4878
C нами: 5 лет 11 мес
Контакты:

Непрочитанное сообщение Максим » 30 мар 2013, 15:36

aVadim писал(а):А тут принципиальное нежелание автора априори эту проблему решать. И тут уж ничего не поделаешь. Автор так решил, и это надо принимать as is.


Вы людям то не врите, а то так и бан схлопотать можно. Я так не решил, обновление сделать попросту невозможно (ничего невозможного нет, но это крайне затратно и сложно) и об этом я писал уже не раз. Где это вы даже на Linux сервере видели чтобы при обновлении вам MySQL сам базы переносил, apache и php конфигурации хостов, настройки и прочее. Нигде не видели? Так откуда я вам возьму такое обновление. Плюс постоянное изменение архитектуры самого Open Server по формату переменных и т.д. Если бы я мог сделать "обновлятор", то уже давно бы сделал.


Вернуться в «Обсуждение Open Server»

Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 2 гостя